Bug 467162 - Uninstall a package containing a service while system-config-services is running not handled cleanly
Uninstall a package containing a service while system-config-services is runn...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-services (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-16 02:37 EDT by Christopher Aillon
Modified: 2009-12-18 01:35 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:35:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Aillon 2008-10-16 02:37:18 EDT
If you erase a package which contains a service (such as pcsc-lite or isdn4k-utils) while running system-config-services, it will error as follows:

ERROR:dbus.connection:Exception in handler for D-Bus signal:
Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/dbus/connection.py", line 214, in maybe_handle_message
    self._handler(*args, **kwargs)
  File "/usr/lib/python2.5/site-packages/scservices/dbus/proxy/serviceherders.py", line 123, in notify
    self.dbus_notify (subscriber, service_name, change)
  File "/usr/lib/python2.5/site-packages/scservices/dbus/proxy/serviceherders.py", line 98, in dbus_notify
    subscriber.remote_method_or_function (herder = self, change = change, *subscriber.p, **k)
  File "/usr/bin/system-config-services", line 547, in on_services_changed
    self.on_service_conf_updating (service)
  File "/usr/bin/system-config-services", line 632, in on_service_conf_updating
    self.service_painters[service].paint ()
  File "/usr/bin/system-config-services", line 362, in paint
    self.treestore.set (iter, SVC_COL_ENABLED, _enabled_stock_id[self.service.get_enabled ()])
  File "/usr/lib/python2.5/site-packages/slip/dbus/polkit.py", line 48, in enable_proxy_wrapper
    return func (*p, **k)
  File "/usr/lib/python2.5/site-packages/scservices/dbus/proxy/services.py", line 72, in get_enabled
    return self.dbus_object.get_enabled (dbus_interface = "org.fedoraproject.Config.Services.ChkconfigService")
  File "/usr/lib/python2.5/site-packages/dbus/proxies.py", line 140, in __call__
    **keywords)
  File "/usr/lib/python2.5/site-packages/dbus/connection.py", line 630, in call_blocking
    message, timeout)
DBusException: org.freedesktop.DBus.Error.UnknownMethod: Method "get_enabled" with signature "" on interface "org.fedoraproject.Config.Services.ChkconfigService" doesn't exist

ERROR:dbus.connection:Exception in handler for D-Bus signal:
Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/dbus/connection.py", line 214, in maybe_handle_message
    self._handler(*args, **kwargs)
  File "/usr/lib/python2.5/site-packages/scservices/dbus/proxy/serviceherders.py", line 123, in notify
    self.dbus_notify (subscriber, service_name, change)
  File "/usr/lib/python2.5/site-packages/scservices/dbus/proxy/serviceherders.py", line 92, in dbus_notify
    service = self.services[service_name]
KeyError: dbus.String(u'pcscd')
ERROR:dbus.connection:Exception in handler for D-Bus signal:
Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/dbus/connection.py", line 214, in maybe_handle_message
    self._handler(*args, **kwargs)
  File "/usr/lib/python2.5/site-packages/scservices/dbus/proxy/serviceherders.py", line 123, in notify
    self.dbus_notify (subscriber, service_name, change)
  File "/usr/lib/python2.5/site-packages/scservices/dbus/proxy/serviceherders.py", line 92, in dbus_notify
    service = self.services[service_name]
KeyError: dbus.String(u'pcscd')
Comment 1 Bug Zapper 2008-11-25 22:54:43 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-11-18 03:35:08 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 01:35:18 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.